main.py File Reference

Go to the source code of this file.

## Namespaces

namespace | mbed_lstools
namespace | mbed_lstools.main

## Functions

| mbed_lstools.main.create (**kwargs)
| Factory used to create host OS specific mbed-lstools object.
| mbed_lstools.main.mbed_os_support ()
| Function used to determine if host OS is supported by mbed-lstools.
| mbed_lstools.main.mbed_lstools_os_info ()
| Returns information about host OS.
| mbed_lstools.main.get_version ()
| Get mbed-ls Python module version string.
| mbed_lstools.main.print_version (mbeds, args)
| mbed_lstools.main.print_mbeds (mbeds, args, simple)
| mbed_lstools.main.print_table (mbeds, args)
| mbed_lstools.main.print_simple (mbeds, args)
| mbed_lstools.main.mock_platform (mbeds, args)
| mbed_lstools.main.list_platforms (mbeds, args)
| mbed_lstools.main.mbeds_as_json (mbeds, args)
| mbed_lstools.main.json_by_target_id (mbeds, args)
| mbed_lstools.main.json_platforms (mbeds, args)
| mbed_lstools.main.json_platforms_ext (mbeds, args)
| mbed_lstools.main.parse_cli (to_parse)
| Parse the command line.
| mbed_lstools.main.start_logging ()
| mbed_lstools.main.mbedls_main ()
| Function used to drive CLI (command line interface) application.

## Variables

| mbed_lstools.main.logger = logging.getLogger("mbedls.main")